-- $Revision: 14240 $
TradeskillInfo.options = {};
TradeskillInfo.options.ConfigFrame = {}
TradeskillInfo.options.ConfigFrame["Skill required"] = { index=1, tooltipText="Show skill required", var="ShowSkillLevel"};
TradeskillInfo.options.ConfigFrame["Combine cost"] = { index=2, tooltipText="Show combine cost", var="ShowSkillProfit"};
TradeskillInfo.options.ConfigFrame["Source"] = { index=3, tooltipText="Show source in tooltip", var="TooltipSource"};
TradeskillInfo.options.ConfigFrame["Used in"] = { index=4, tooltipText="Show used in in tooltip", var="TooltipUsedIn"};
TradeskillInfo.options.ConfigFrame["Usable by"] = { index=5, tooltipText="Show who can use an item", var="TooltipUsableBy"};
TradeskillInfo.options.ConfigFrame["Known by"] = { index=6, tooltipText="Show known by in recipe tooltip", var="TooltipKnownBy"};
TradeskillInfo.options.ConfigFrame["Learnable by"] = { index=7, tooltipText="Show learnable by in recipe tooltip", var="TooltipLearnableBy"};
TradeskillInfo.options.ConfigFrame["Will be learnable by"] = { index=8, tooltipText="Show will be learnable by in recipe tooltip", var="TooltipAvailableTo"};
TradeskillInfo.options.ConfigFrame["Trainer reagents"] = { index=9, tooltipText="Show recipe reagents in tooltip at trainer", var="TrainerReagents"};
--TradeskillInfo.options.ConfigFrame[""] = { index=9, tooltipText="", var=""};

--	MoneyFormat = 3,
function TradeskillInfo:Config_Init()
	if oSkin and oSkin.applySkin then
		oSkin:applySkin(TradeskillInfoConfigFrame);
	end
end

function TradeskillInfo:Config_Show()
	ShowUIPanel(TradeskillInfoConfigFrame);
end

function TradeskillInfo:Config_Hide()
	HideUIPanel(TradeskillInfoConfigFrame);
end

function TradeskillInfo:ConfigFrame_OnShow()
	for key, value in pairs(self.options.ConfigFrame) do
		option = getglobal("TradeskillInfo_Option"..value.index);
		text = getglobal("TradeskillInfo_Option"..value.index.."Text");
		if (option) then
			text:SetText(key);
			option.var = value.var;
			option:SetChecked(self.db.profile[value.var]);
			if (value.tooltipText) then
				option.tooltipText = value.tooltipText;
			end
		end
	end
end

function TradeskillInfo:ConfigFrame_OnHide()
end

function TradeskillInfo:OptionsCheckButtonOnClick()
	self.db.profile[this.var] = this:GetChecked() or false;
end

function TradeskillInfo:OptionsRadioButtonOnClick()
end